package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag192;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT192Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT192Creator mt192Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt192Creator= (MT192Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt192Creator.getRelatedReference();
        mt192Creator.set("21", tag21Value);
    }
}
